% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/draw.R
\name{add_interp_last}
\alias{add_interp_last}
\title{A ggproto for drawing finish points}
\usage{
add_interp_last(
  dt,
  interp_last_size = 3,
  interp_last_alpha = 1,
  interp_last_color = NULL,
  ...
)
}
\arguments{
\item{dt}{A data object from the running the optimisation algorithm in guided tour}

\item{interp_last_size}{numeric; the size of the last interpolation points in each iteration}

\item{interp_last_alpha}{numeric; the alpha of the last interpolation points in each iteration}

\item{interp_last_color}{the variable to be coloured by}

\item{...}{other aesthetics inherent from \code{explore_space_pca()}}
}
\value{
a wrapper for drawing the last interpolation points of each iteration in \code{explore_space_pca()}
}
\description{
This is  a wrapper function used by \code{explore_space_pca()} and
should be be called directly by the user
}
\seealso{
Other draw functions: 
\code{\link{add_anchor}()},
\code{\link{add_anno}()},
\code{\link{add_dir_search}()},
\code{\link{add_end}()},
\code{\link{add_interp}()},
\code{\link{add_interrupt}()},
\code{\link{add_search}()},
\code{\link{add_space}()},
\code{\link{add_start}()},
\code{\link{add_theo}()}
}
\concept{draw functions}
