% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/draw.R
\name{add_interrupt}
\alias{add_interrupt}
\title{A ggproto for annotating the interrupted path}
\usage{
add_interrupt(
  dt,
  interrupt_size = 0.5,
  interrupt_alpha = NULL,
  interrupt_color = NULL,
  interrupt_group = NULL,
  interrupt_linetype = "dashed",
  ...
)
}
\arguments{
\item{dt}{A data object from the running the optimisation algorithm in guided tour}

\item{interrupt_size}{numeric; the size of the interruption path}

\item{interrupt_alpha}{numeric; the alpha of the interruption path}

\item{interrupt_color}{the variable to be coloured by}

\item{interrupt_group}{the variable to label different interruption}

\item{interrupt_linetype}{character; the linetype to annotate the interruption}

\item{...}{other aesthetics inherent from \code{explore_space_pca()}}
}
\value{
a wrapper for annotating the interruption in \code{explore_space_pca()}
}
\description{
This is  a wrapper function used by \code{explore_space_pca()} and
should be be called directly by the user
}
\seealso{
Other draw functions: 
\code{\link{add_anchor}()},
\code{\link{add_anno}()},
\code{\link{add_dir_search}()},
\code{\link{add_end}()},
\code{\link{add_interp}()},
\code{\link{add_interp_last}()},
\code{\link{add_search}()},
\code{\link{add_space}()},
\code{\link{add_start}()},
\code{\link{add_theo}()}
}
\concept{draw functions}
